package org.itscool.stylist.tag;

/**
 * HTMLのテキスト情報と変数値の構成を管理するクラスです
 * （HtmlTagをHtmlTextに改名したほうが良い）
 * @version 1.00A 2006/04/11 kano 
*/
public class HtmlText {
    /** テキスト形式 */
	public static final int KIND_SIMPLE = 0;
	/** 変数形式 */
	public static final int KIND_CONTROL = 1;
	/** 識別情報 */
	private int kind;
	/** テキスト情報 */
	private String value;
	
	/**
	 * 識別情報を取得します
	 * @return int 識別情報
	*/
	public int getKind() {
		return kind;
	}
	
	/**
	 * 識別情報を設定します
	 * @param kind 識別情報
	*/
	public void setKind(int kind) {
		this.kind = kind;
	}
	
	/**
	 * テキスト情報を取得します
	 * @return テキスト情報
	 */
	public String getValue() {
		return value;
	}
	
	/**
	 * テキスト情報を設定します
	 * @param value テキスト情報
	*/
	public void setValue(String value) {
		this.value = value;
	}
	
	/**
	 * テキストの構成情報をString形式で取得します
	 * @return String テキストの構成情報
	*/
	public String toString(){
		StringBuffer sb = new StringBuffer();
		if( kind == KIND_SIMPLE ){
			sb.append("[SIMPLE] | ");
		}else{
			sb.append("[CONTROL]| ");
		}
		sb.append(value);
		return sb.toString();
	}
}
